Subject: Fwd: BCP 145, RFC 8085 on UDP Usage Guidelines

From: "Eggert, Lars" <[email-masked]>
Date: Wed, 8 Mar 2017 16:03:00 +0000

During the chartering phase, the IESG remarked whether QUIC was going to be aligned with the recommendations in this RFC-to-be. Since it just came out, I wanted to make the WG aware.

I think that it's pretty obvious that QUIC will be aligned. I can't even think of a design aspect where we'd significantly deviate, but since we'll have ample motivation, that will be sufficient to justify.

Lars

> Begin forwarded message:
> 
> From: "[email-masked]" <[email-masked]>
> Subject: BCP 145, RFC 8085 on UDP Usage Guidelines
> Date: March 7, 2017 at 23:17:37 GMT+1
> To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
> Reply-To: "[email-masked]" <[email-masked]>
> 
> A new Request for Comments is now available in online RFC libraries.
> 
>        BCP 145
>        RFC 8085
> 
>        Title:      UDP Usage Guidelines
>        Author:     L. Eggert,
>                    G. Fairhurst,
>                    G. Shepherd
>        Status:     Best Current Practice
>        Stream:     IETF
>        Date:       March 2017
>        Mailbox:    [email-masked],
>                    [email-masked],
>                    [email-masked]
>        Pages:      55
>        Characters: 145359
>        Obsoletes:  RFC 5405
>        See Also:   BCP 145
> 
>        I-D Tag:    draft-ietf-tsvwg-rfc5405bis-19.txt
> 
>        URL:        https://www.rfc-editor.org/info/rfc8085
> 
>        DOI:        10.17487/RFC8085
> 
> The User Datagram Protocol (UDP) provides a minimal message-passing
> transport that has no inherent congestion control mechanisms.  This
> document provides guidelines on the use of UDP for the designers of
> applications, tunnels, and other protocols that use UDP.  Congestion
> control guidelines are a primary focus, but the document also
> provides guidance on other topics, including message sizes,
> reliability, checksums, middlebox traversal, the use of Explicit
> Congestion Notification (ECN), Differentiated Services Code Points
> (DSCPs), and ports.
> 
> Because congestion control is critical to the stable operation of the
> Internet, applications and other protocols that choose to use UDP as
> an Internet transport must employ mechanisms to prevent congestion
> collapse and to establish some degree of fairness with concurrent
> traffic.  They may also need to implement additional mechanisms,
> depending on how they use UDP.
> 
> Some guidance is also applicable to the design of other protocols
> (e.g., protocols layered directly on IP or via IP-based tunnels),
> especially when these protocols do not themselves provide congestion
> control.
> 
> This document obsoletes RFC 5405 and adds guidelines for multicast
> UDP usage.
> 
> This document is a product of the Transport Area Working Group Working Group of the IETF.
> 
> 
> BCP: This document specifies an Internet Best Current Practices for the
> Internet Community, and requests discussion and suggestions for
> improvements. Distribution of this memo is unlimited.
> 
> This announcement is sent to the IETF-Announce and rfc-dist lists.
> To subscribe or unsubscribe, see
>  https://www.ietf.org/mailman/listinfo/ietf-announce
>  https://mailman.rfc-editor.org/mailman/listinfo/rfc-dist
> 
> For searching the RFC series, see https://www.rfc-editor.org/search
> For downloading RFCs, see https://www.rfc-editor.org/retrieve/bulk
> 
> Requests for special distribution should be addressed to either the
> author of the RFC in question, or to [email-masked].  Unless
> specifically noted otherwise on the RFC itself, all RFCs are for
> unlimited distribution.
> 
> 
> The RFC Editor Team
> Association Management Solutions, LLC
> 
>